import request from '@/utils/request'

// 分页查询抽奖奖项
export function getPageLotteryItem(params) {
  return request({
    url: '/lotteryItem/page',
    method: 'get',
    params
  })
}

// 查询抽奖奖项
export function getByIdLotteryItem(params) {
  return request({
    url: '/lotteryItem/getById',
    method: 'get',
    params
  })
}

// 新增抽奖奖项
export function saveLotteryItem(data) {
  return request({
    url: '/lotteryItem/save',
    method: 'post',
    data
  })
}

// 修改抽奖奖项
export function updateLotteryItem(data) {
  return request({
    url: '/lotteryItem/update',
    method: 'post',
    data
  })
}

// 删除抽奖奖项
export function deleteByIdLotteryItem(params) {
  return request({
    url: '/lotteryItem/deleteById',
    method: 'delete',
    params
  })
}
